# 32/64bit spec-file
#
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%define name	autokey
%define version	0.90.4
%define release	%mkrel 6

Name:		%name
Version:	%version
Release:	%release
Summary:	Desktop automation utility 
Group:		Accessibility
License:	GPLv3
URL:		http://autokey.googlecode.com
Source0:	%{name}-%{version}.tar.xz 
Source1:	autokey-qt.desktop
Source2:	autokey-gtk.desktop
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}python-devel
BuildRequires: pygtk2
BuildRequires: pygtk2-libglade
BuildRequires: desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
AutoKey is a desktop automation utility for Linux and X11. It allows 
the automation of virtually any task by responding to typed abbreviations 
and hot keys. It offers a full-featured GUI that makes it highly 
accessible for novices, as well as a scripting interface offering 
the full flexibility and power of the Python language.

%package common
License:        GPLv3
Summary:        Desktop automation utility -- Common Files
Group:          Accessibility
Requires: python-simplejson
Requires: python-pyinotify
Requires: python-xlib
Requires: python-notify
Requires: python-dbus
Requires: python-gobject
Requires: python-gobject3
Requires: libxml2-python
Requires: python-cairo
Requires: pygtk2
Requires: pygtk2-libglade
Requires: wmctrl
%py_requires

%description common
AutoKey is a desktop automation utility for Linux and X11. It allows the
automation of virtually any task by responding to typed abbreviations
and hotkeys. It offers a full-featured GUI that makes it highly
accessible for novices, as well as a scripting interface offering the
full flexibility and power of the Python language.

%files common
%defattr(-,root,root)
%doc ACKNOWLEDGMENTS README
%dir %{python_sitelib}/autokey
%{python_sitelib}/autokey/*.py*
%exclude %{python_sitelib}/autokey/gtkapp.py*
%{python_sitelib}/%{name}-%{version}-py%{py_ver}.egg-info
%{_datadir}/icons/hicolor/scalable/apps/autokey-status*.svg
%{_datadir}/icons/hicolor/scalable/apps/autokey.png
%{_datadir}/icons/Humanity/scalable/apps/*.svg
%{_datadir}/icons/ubuntu-mono-dark
%{_datadir}/icons/ubuntu-mono-light
%{_bindir}/autokey-run
%{_mandir}/man1/autokey-run.1*

%package qt
License:        GPLv3
Summary:	Desktop automation utility -- KDE Interface
Group:      	Accessibility
Requires: %{name}-common = %{version}
Requires: pykde4
Requires: python-qt4-xml
Requires: python-qt4-core
Requires: python-qt4-qscintilla
Requires: python-qt4-gui
Requires: python-qt4-network
Requires: python-qt4-svg
Requires: python-sip
Provides: autokey = %{version}-%{release}
%py_requires

%description qt
AutoKey is a desktop automation utility for Linux and X11. It allows the
automation of virtually any task by responding to typed abbreviations
and hotkeys. It offers a full-featured GUI that makes it highly
accessible for novices, as well as a scripting interface offering the
full flexibility and power of the Python language.

%files qt
%defattr(-,root,root)
%{_bindir}/autokey-qt
%{python_sitelib}/autokey/qtapp.py*
%{python_sitelib}/autokey/qtui/
%{_datadir}/kde4/apps/autokey/autokeyui.rc
%{_datadir}/applications/autokey-qt.desktop
%{_datadir}/icons/hicolor/scalable/apps/autokey.png
%{_mandir}/man1/autokey-qt.1*


%package gtk
Summary:        AutoKey GTK+ front end
Group:          Accessibility
Requires:       %{_lib}gtksourceview3.0_1
Requires:       zenity
Requires:       autokey-common = %{version}-%{release}
Provides:       autokey = %{version}-%{release}

%description gtk
This package contains the GTK+ front end for autokey

%files gtk
%{_bindir}/autokey-gtk
%{python_sitelib}/autokey/gtkapp.py*
%{python_sitelib}/autokey/gtkui/
%{_datadir}/applications/autokey-gtk.desktop
%{_datadir}/icons/hicolor/scalable/apps/autokey.svg
%{_mandir}/man1/autokey-gtk.1*


%prep
%setup -q
find src/lib -name "*.py" -exec sed -i '/^#!\/usr\/bin\/env python$/d' {} ";"

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
# remove shebang from python libraries
for lib in $(find %{buildroot}%{python_sitelib}/%{name}/ -name "*.py"); do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/autokey-qt.desktop
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/applications/autokey-gtk.desktop


%post common
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun common
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans common
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Tue Oct 13 2015 bb <bb> 0.90.4-6pclos2015
- rebuild for updates

* Tue Feb 17 2015 bb <bb> 0.90.4-5pclos2015
- update with more dep requied
- fix menu
- fix gtk package

* Fri Nov 14 2013 pinoc <vogtpet at gmail dot com> 0.90.4-4pclos2013
- fixed BR and rebuilt

* Fri Jan 18 2013 pinoc <vogtpet at gmail dot com> 0.90.4-2pclos2013
- rebuilt
